package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;
import javax.xml.rpc.holders.*;

public class CreateSupportOrderExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();
		String fileContentString = "abc123";


		Attachment attachment =  new Attachment();
		attachment.setData(fileContentString.getBytes());
		attachment.setFileName("anything.jpg");

		Attachment[] attachments = new Attachment[]{attachment};



		try {
			//outputs holders

			ResponseHolder createSupportOrderResultHolder = new ResponseHolder();
			StringHolder orderIdHolder = new StringHolder();

			env.getClient().createSupportOrder(env.getSessionId(), "subjectTest", "bodyTest", attachments, createSupportOrderResultHolder, orderIdHolder);

			Response response = createSupportOrderResultHolder.value;

			System.out.println("CreateSupportOrder ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateSupportOrder Message\t: " + response.getMessage());
			System.out.println("orderId\t\t: " + orderIdHolder.value);        
        
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}