package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetRegistrantVerificationInfoExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getRegistrantVerificationInfoResultHolder = new ResponseHolder();
			RegistrantVerificationInfoHolder verificationInfoHolder = new RegistrantVerificationInfoHolder();

			env.getClient().getRegistrantVerificationInfo(env.getSessionId(), "administrator@ascio-test-domain.com", getRegistrantVerificationInfoResultHolder, verificationInfoHolder);

			Response response = getRegistrantVerificationInfoResultHolder.value;

			System.out.println("GetRegistrantVerificationInfo ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetRegistrantVerificationInfo Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}