package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;
import javax.xml.rpc.holders.*;

public class LogInExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		Session session =  new Session();
		session.setAccount("AccountTest");
		session.setPassword("PasswordTest");


		try {
			//outputs holders

			ResponseHolder logInResultHolder = new ResponseHolder();
			StringHolder sessionIdHolder = new StringHolder();

			env.getClient().logIn(session, logInResultHolder, sessionIdHolder);

			Response response = logInResultHolder.value;

			System.out.println("LogIn ResultCode\t: " + response.getResultCode().toString());
			System.out.println("LogIn Message\t: " + response.getMessage());
			System.out.println("sessionId\t\t: " + sessionIdHolder.value);        
        
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}