package ascio.v3.examples;
import java.util.Calendar;
import com.ascio.www._2013._02.*;

public class CourtValidatedMarkExample {
	public static CourtValidatedMark main() {
		

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);

		ExtensionsKeyValue courtValidatedMarkExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};



		CourtValidatedMark courtValidatedMark =  new CourtValidatedMark();
		courtValidatedMark.setHandle("JD123");
		courtValidatedMark.setMarkName("MarkNameTest");
		courtValidatedMark.setMarkId("MarkIdTest");
		courtValidatedMark.setAuthInfo("X4FF!zu");
		courtValidatedMark.setServiceType(MarkServiceType.Standard);
		courtValidatedMark.setGoodsAndServicesDescription("GoodsAndServicesDescriptionTest");
		courtValidatedMark.setLabels(new String[]{"LabelsTest"});
		courtValidatedMark.setClaimEmailNotification1("ClaimEmailNotification1Test");
		courtValidatedMark.setClaimEmailNotification2("ClaimEmailNotification2Test");
		courtValidatedMark.setClaimEmailNotification3("ClaimEmailNotification3Test");
		courtValidatedMark.setClaimEmailNotification4("ClaimEmailNotification4Test");
		courtValidatedMark.setClaimEmailNotification5("ClaimEmailNotification5Test");
		courtValidatedMark.setNotificationFrequency(NotificationFrequencyType.Daily);
		courtValidatedMark.setOwner(owner);
		courtValidatedMark.setReseller(reseller);
		courtValidatedMark.setExtensions(courtValidatedMarkExtensions);
		courtValidatedMark.setCourtName("CourtNameTest");
		courtValidatedMark.setReferenceNumber("ReferenceNumberTest");
		courtValidatedMark.setCountry("DK");
		courtValidatedMark.setRegion("RegionTest");
		courtValidatedMark.setProtectionDate(Calendar.getInstance());

		return courtValidatedMark;

	}
}