package ascio.v3.examples;
import com.ascio.www._2013._02.*;
import ascio.lib.*;

public class GetSslCertificateExample {
	public static GetSslCertificateResponse main() {
		AscioConfig config = new AscioConfig();
		V3 env = config.getTesting().getV3();

		GetSslCertificateRequest request =  new GetSslCertificateRequest();
		request.setHandle("JD123");


		try {
			GetSslCertificateResponse response = env.getClient().getSslCertificate(request);			
			System.out.println("response\n");
			System.out.println("GetSslCertificate Code\t:" + response.getResultCode());
			System.out.println("GetSslCertificate Message\t: " + response.getResultMessage());

			if(response.getResultCode() > 200){
				for(String error : response.getErrors()) {
					System.out.print(error);
				}	
			}		
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new GetSslCertificateResponse();

	}
}