package ascio.v3.examples;
import java.util.Calendar;
import com.ascio.www._2013._02.*;

public class NameWatchInfoExample {
	public static NameWatchInfo main() {
		

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);


		NameWatchInfo nameWatchInfo =  new NameWatchInfo();
		nameWatchInfo.setHandle("JD123");
		nameWatchInfo.setCreated(Calendar.getInstance());
		nameWatchInfo.setExpires(Calendar.getInstance());
		nameWatchInfo.setName("John Doe");
		nameWatchInfo.setNotificationFrequency(NotificationFrequencyType.Daily);
		nameWatchInfo.setTier(1);
		nameWatchInfo.setEmailNotification1("EmailNotification1Test");
		nameWatchInfo.setEmailNotification2("EmailNotification2Test");
		nameWatchInfo.setEmailNotification3("EmailNotification3Test");
		nameWatchInfo.setEmailNotification4("EmailNotification4Test");
		nameWatchInfo.setEmailNotification5("EmailNotification5Test");
		nameWatchInfo.setOwner(owner);
		nameWatchInfo.setReseller(reseller);

		return nameWatchInfo;

	}
}