package ascio.v3.examples;
import java.util.Calendar;
import com.ascio.www._2013._02.*;

public class TrademarkExample {
	public static Trademark main() {
		

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);

		ExtensionsKeyValue trademarkExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};



		Trademark trademark =  new Trademark();
		trademark.setHandle("JD123");
		trademark.setMarkName("MarkNameTest");
		trademark.setMarkId("MarkIdTest");
		trademark.setAuthInfo("X4FF!zu");
		trademark.setServiceType(MarkServiceType.Standard);
		trademark.setGoodsAndServicesDescription("GoodsAndServicesDescriptionTest");
		trademark.setLabels(new String[]{"LabelsTest"});
		trademark.setClaimEmailNotification1("ClaimEmailNotification1Test");
		trademark.setClaimEmailNotification2("ClaimEmailNotification2Test");
		trademark.setClaimEmailNotification3("ClaimEmailNotification3Test");
		trademark.setClaimEmailNotification4("ClaimEmailNotification4Test");
		trademark.setClaimEmailNotification5("ClaimEmailNotification5Test");
		trademark.setNotificationFrequency(NotificationFrequencyType.Daily);
		trademark.setOwner(owner);
		trademark.setReseller(reseller);
		trademark.setExtensions(trademarkExtensions);
		trademark.setApplicationId("ApplicationIdTest");
		trademark.setRegistrationNumber("RegistrationNumberTest");
		trademark.setApplicationDate(Calendar.getInstance());
		trademark.setRegistrationDate(Calendar.getInstance());
		trademark.setExpirationDate(Calendar.getInstance());
		trademark.setGoodsAndServicesClasses(new int[]{1});
		trademark.setJurisdiction("JurisdictionTest");

		return trademark;

	}
}