var soap = require("soap");

var registerDefensiveOrderRequestExample = function(callback) {


	//Registrant
	owner =  {};
	owner.FirstName="John";
	owner.LastName="Doe";
	owner.Address1="Address1Test";
	owner.City="CityTest";
	owner.PostalCode="888349";
	owner.CountryCode="DK";
	owner.Email="administrator@ascio-test-domain.com";


	//Contact
	admin =  {};
	admin.FirstName="John";
	admin.LastName="Doe";
	admin.Address1="Address1Test";
	admin.City="CityTest";
	admin.PostalCode="888349";
	admin.CountryCode="DK";
	admin.Email="administrator@ascio-test-domain.com";


	//Contact
	tech =  {};
	tech.FirstName="John";
	tech.LastName="Doe";
	tech.Address1="Address1Test";
	tech.City="CityTest";
	tech.PostalCode="888349";
	tech.CountryCode="DK";
	tech.Email="administrator@ascio-test-domain.com";


	//Contact
	billing =  {};
	billing.FirstName="John";
	billing.LastName="Doe";
	billing.Address1="Address1Test";
	billing.City="CityTest";
	billing.PostalCode="888349";
	billing.CountryCode="DK";
	billing.Email="administrator@ascio-test-domain.com";


	//Contact
	reseller =  {};
	reseller.FirstName="John";
	reseller.LastName="Doe";
	reseller.Address1="Address1Test";
	reseller.City="CityTest";
	reseller.PostalCode="888349";
	reseller.CountryCode="DK";
	reseller.Email="administrator@ascio-test-domain.com";


	//Defensive
	defensive =  {};
	defensive.Handle="JD123";
	defensive.Name="ascio-is-great.com";
	defensive.MarkHandle="MarkHandleTest";
	defensive.AuthInfo="X4FF!zu";
	defensive.Encoding="EncodingTest";
	defensive.Owner=owner;
	defensive.Admin=admin;
	defensive.Tech=tech;
	defensive.Billing=billing;
	defensive.Reseller=reseller;
	defensive.ObjectComment="Example Object Comment";


	//DefensiveOrderRequest
	request =  
                    {
                        attributes: {
                            xsi_type: {
                                type: "http://www.ascio.com/2013/02",
                                xmlns: "DefensiveOrderRequest"
                            }
                        }
                    };
	request.Type="Register";
	request.Period=1;
	request.TransactionComment="TransactionCommentTest";
	request.Comments="CommentsTest";
	request.Documentation="DocumentationTest";
	request.Options="OptionsTest";
	request.Defensive=defensive;
	request.AgreedPrice=1;
	
	soap.createClient("https://aws.demo.ascio.com/v3/aws.wsdl", function(err, client) {
		if(err) {
			callback(err);
		} 
		else {
			const header = {
				SecurityHeaderDetails : {
					Account: "ascio-account",
					Password: "mypassword123"
				}			
			};
			const ns="http://www.ascio.com/2013/02";
			client.addSoapHeader(header, ns, "q1");
			client.CreateOrder({request: request}, function(err,result) {
				if(err) {
					callback({error: err , request : result.request.body});
				} else {
					if(result.CreateOrderResult.ResultCode < 400) {
						callback(null,result);	
					} else {
						callback({error: result.CreateOrderResult,request : request});
					}	
				}
			});

		};
	});
};
registerDefensiveOrderRequestExample(function(err,result) {
	if(err) {
		console.log("\n\n Request \n\n",err.request, "\n\n Response \n\n" ,err.error,"\n");
	}
	else {
		console.log(result);
	}
});