AscioServices services = new AscioServices();



owner =  new Registrant();
owner.FirstName = "John";
owner.LastName = "Doe";
owner.Address1 = "Address1Test";
owner.City = "CityTest";
owner.PostalCode = "888349";
owner.CountryCode = "DK";
owner.Phone = "+45.123456789";
owner.Email = "administrator@ascio-test-domain.com"


admin =  new Contact();
admin.FirstName = "John";
admin.LastName = "Doe";
admin.Address1 = "Address1Test";
admin.City = "CityTest";
admin.PostalCode = "888349";
admin.CountryCode = "DK";
admin.Phone = "+45.123456789";
admin.Email = "administrator@ascio-test-domain.com"


tech =  new Contact();
tech.FirstName = "John";
tech.LastName = "Doe";
tech.Address1 = "Address1Test";
tech.City = "CityTest";
tech.PostalCode = "888349";
tech.CountryCode = "DK";
tech.Phone = "+45.123456789";
tech.Email = "administrator@ascio-test-domain.com"


billing =  new Contact();
billing.FirstName = "John";
billing.LastName = "Doe";
billing.Address1 = "Address1Test";
billing.City = "CityTest";
billing.PostalCode = "888349";
billing.CountryCode = "DK";
billing.Phone = "+45.123456789";
billing.Email = "administrator@ascio-test-domain.com"


reseller =  new Contact();
reseller.FirstName = "John";
reseller.LastName = "Doe";
reseller.Address1 = "Address1Test";
reseller.City = "CityTest";
reseller.PostalCode = "888349";
reseller.CountryCode = "DK";
reseller.Phone = "+45.123456789";
reseller.Email = "administrator@ascio-test-domain.com"


nameServer1 =  new NameServer();
nameServer1.HostName = "ns1.ascio.net";


nameServer2 =  new NameServer();
nameServer2.HostName = "ns2.ascio.net";


nameServer3 =  new NameServer();
nameServer3.HostName = "ns3.ascio.net";


nameServer4 =  new NameServer();
nameServer4.HostName = "ns4.ascio.net";


nameServers =  new NameServers();
nameServers.NameServer1 = nameServer1;
nameServers.NameServer2 = nameServer2;
nameServers.NameServer3 = nameServer3;
nameServers.NameServer4 = nameServer4;


trademark =  new DomainTradeMark();
trademark.Name = "ascio-is-great.com";
trademark.Country = "DK";
trademark.Date = "DateTest";
trademark.Number = "NumberTest";
trademark.Type = "owner";
trademark.Contact = "ContactTest";
trademark.ContactLanguage = "ContactLanguageTest";
trademark.DocumentationLanguage = "DocumentationLanguageTest";
trademark.SecondContact = "SecondContactTest";
trademark.ThirdContact = "ThirdContactTest";
trademark.RegDate = "RegDateTest";


dnsSecKey1 =  new DnsSecKey();
dnsSecKey1.Handle = "JD123";


dnsSecKey2 =  new DnsSecKey();
dnsSecKey2.Handle = "JD123";


dnsSecKeys =  new DnsSecKeys();
dnsSecKeys.DnsSecKey1 = dnsSecKey1;
dnsSecKeys.DnsSecKey2 = dnsSecKey2;


keyValue =  new KeyValue();
keyValue.Key = "Title";
keyValue.Value = "Mr.";


privacyProxyExtensions =  new Extensions(array($keyValue));


privacyProxy =  new PrivacyProxy();
privacyProxy.Type = PrivacyProxyType::None;
privacyProxy.PrivacyAdmin = false;
privacyProxy.PrivacyTech = false;
privacyProxy.PrivacyBilling = false;
privacyProxy.Extensions = privacyProxyExtensions;


domain =  new Domain();
domain.Name = "ascio-is-great.com";
domain.Handle = "JD123";
domain.RenewPeriod = 1;
domain.AuthInfo = "X4FF!zu";
domain.EncodingType = "EncodingTypeTest";
domain.DomainPurpose = "DomainPurposeTest";
domain.Comment = "CommentTest";
domain.TransferLock = "Unlock";
domain.DeleteLock = "Unlock";
domain.UpdateLock = "Unlock";
domain.QueueType = "QueueTypeTest";
domain.Owner = owner;
domain.Admin = admin;
domain.Tech = tech;
domain.Billing = billing;
domain.Reseller = reseller;
domain.NameServers = nameServers;
domain.Trademark = trademark;
domain.DnsSecKeys = dnsSecKeys;
domain.PrivacyProxy = privacyProxy;
domain.DomainType = "DomainTypeTest";
domain.DiscloseSocialData = "true";
domain.LocalPresence = false;


request =  new DomainOrderRequest();
request.Type = OrderType::Register;
request.Period = 1;
request.TransactionComment = "TransactionCommentTest";
request.Comments = "CommentsTest";
request.Documentation = "DocumentationTest";
request.Options = "OptionsTest";
request.Domain = domain;
request.AgreedPrice = 1;

Response response = services.CreateOrder("mySessionId", ref request);
if (response.ResultCode == 200) {
	Console.WriteLine("My new orderId is : " + request.OrderId);
} else {
	if (response.Values != null) {
		Console.WriteLine(String.Join(",", response.Values));
	}
}