package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;
import javax.xml.rpc.holders.*;

public class CreateApprovalDocumentationExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		ApprovalDocumentation approvalDocumentation =  new ApprovalDocumentation();



		try {
			//outputs holders

			ResponseHolder createApprovalDocumentationResultHolder = new ResponseHolder();
			StringHolder documentationIdHolder = new StringHolder();

			env.getClient().createApprovalDocumentation(env.getSessionId(), approvalDocumentation, createApprovalDocumentationResultHolder, documentationIdHolder);

			Response response = createApprovalDocumentationResultHolder.value;

			System.out.println("CreateApprovalDocumentation ResultCode\t: " + response.getResultCode().toString());
			System.out.println("CreateApprovalDocumentation Message\t: " + response.getMessage());
			System.out.println("documentationId\t\t: " + documentationIdHolder.value);        
        
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}