package ascio.v2.examples;
import java.util.Calendar;
import com.ascio.www._2007._01.*;


public class DomainExample {
	public static Domain main() {
		

		Registrant registrant =  new Registrant();
		registrant.setName("John Doe");
		registrant.setAddress1("Address1Test");
		registrant.setCity("CityTest");
		registrant.setPostalCode("888349");
		registrant.setCountryCode("DK");
		registrant.setEmail("administrator@ascio-test-domain.com");
		registrant.setPhone("+45.123456789");


		Contact adminContact =  new Contact();
		adminContact.setFirstName("John");
		adminContact.setLastName("Doe");
		adminContact.setAddress1("Address1Test");
		adminContact.setPostalCode("888349");
		adminContact.setCity("CityTest");
		adminContact.setCountryCode("DK");
		adminContact.setEmail("administrator@ascio-test-domain.com");
		adminContact.setPhone("+45.123456789");


		Contact techContact =  new Contact();
		techContact.setFirstName("John");
		techContact.setLastName("Doe");
		techContact.setAddress1("Address1Test");
		techContact.setPostalCode("888349");
		techContact.setCity("CityTest");
		techContact.setCountryCode("DK");
		techContact.setEmail("administrator@ascio-test-domain.com");
		techContact.setPhone("+45.123456789");


		Contact billingContact =  new Contact();
		billingContact.setFirstName("John");
		billingContact.setLastName("Doe");
		billingContact.setAddress1("Address1Test");
		billingContact.setPostalCode("888349");
		billingContact.setCity("CityTest");
		billingContact.setCountryCode("DK");
		billingContact.setEmail("administrator@ascio-test-domain.com");
		billingContact.setPhone("+45.123456789");


		Contact resellerContact =  new Contact();
		resellerContact.setFirstName("John");
		resellerContact.setLastName("Doe");
		resellerContact.setAddress1("Address1Test");
		resellerContact.setPostalCode("888349");
		resellerContact.setCity("CityTest");
		resellerContact.setCountryCode("DK");
		resellerContact.setEmail("administrator@ascio-test-domain.com");
		resellerContact.setPhone("+45.123456789");


		NameServer nameServer1 =  new NameServer();
		nameServer1.setHostName("ns1.ascio.com");


		NameServer nameServer2 =  new NameServer();
		nameServer2.setHostName("ns2.ascio.com");


		NameServers nameServers =  new NameServers();
		nameServers.setNameServer1(nameServer1);
		nameServers.setNameServer2(nameServer2);


		TradeMark trademark =  new TradeMark();
		trademark.setName("John Doe");
		trademark.setCountry("DK");
		trademark.setDate(Calendar.getInstance());
		trademark.setNumber("NumberTest");
		trademark.setType("owner");
		trademark.setContact("ContactTest");
		trademark.setContactLanguage("ContactLanguageTest");
		trademark.setDocumentationLanguage("DocumentationLanguageTest");
		trademark.setSecondContact("SecondContactTest");
		trademark.setThirdContact("ThirdContactTest");
		trademark.setRegDate(Calendar.getInstance());


		DnsSecKey dnsSecKey1 =  new DnsSecKey();
		dnsSecKey1.setDigestAlgorithm("RSA-SHA256");
		dnsSecKey1.setDigestType("SHA-256");
		dnsSecKey1.setDigest("846E5ED4AB6788032B89393619752F662CF2B7B2046A8EC0804DF88F1469AC1E");
		dnsSecKey1.setKeyTag("2224");


		DnsSecKeys dnsSecKeys =  new DnsSecKeys();
		dnsSecKeys.setDnsSecKey1(dnsSecKey1);

		ExtensionsExtension extensions[] =  new ExtensionsExtension[]{new ExtensionsExtension()};



		PrivacyProxy privacyProxy =  new PrivacyProxy();
		privacyProxy.setType(PrivacyProxyType.None);
		privacyProxy.setPrivacyAdmin(false);
		privacyProxy.setPrivacyTech(false);
		privacyProxy.setPrivacyBilling(false);
		privacyProxy.setExtensions(extensions);


		Domain domain =  new Domain();
		domain.setDomainName("ascio-test-domain"+System.currentTimeMillis()+".com");
		domain.setDomainHandle("DomainHandleTest");
		domain.setRegPeriod(1);
		domain.setRenewPeriod(1);
		domain.setAuthInfo("X4FF!zu");
		domain.setExpDate(Calendar.getInstance());
		domain.setEncodingType("EncodingTypeTest");
		domain.setDomainPurpose("DomainPurposeTest");
		domain.setComment("CommentTest");
		domain.setTransferLock("Unlock");
		domain.setDeleteLock("Unlock");
		domain.setUpdateLock("Unlock");
		domain.setQueueType("QueueTypeTest");
		domain.setRegistrant(registrant);
		domain.setAdminContact(adminContact);
		domain.setTechContact(techContact);
		domain.setBillingContact(billingContact);
		domain.setResellerContact(resellerContact);
		domain.setNameServers(nameServers);
		domain.setTrademark(trademark);
		domain.setDnsSecKeys(dnsSecKeys);
		domain.setPrivacyProxy(privacyProxy);

		return domain;

	}
}