package ascio.v2.examples;
import com.ascio.www._2007._01.*;
import com.ascio.www._2007._01.holders.*;
import ascio.lib.*;

public class GetDomainExample {
	public static Response main() {
		AscioConfig config = new AscioConfig();
		V2 env = config.getTesting().getV2();


		try {
			//outputs holders

			ResponseHolder getDomainResultHolder = new ResponseHolder();
			DomainHolder domainHolder = new DomainHolder();

			env.getClient().getDomain(env.getSessionId(), "domainHandleTest", getDomainResultHolder, domainHolder);

			Response response = getDomainResultHolder.value;

			System.out.println("GetDomain ResultCode\t: " + response.getResultCode().toString());
			System.out.println("GetDomain Message\t: " + response.getMessage());
			if(response.getResultCode() == 400) {
				for( String value : response.getValues()) {
					System.out.println("Error:	" + value);
				}
			}
			return response;
           
		} catch (Exception e) {
			System.out.print(e);
		}
		return new Response();

	}
}