package ascio.v3.examples;
import com.ascio.www._2013._02.*;

public class NameWatchExample {
	public static NameWatch main() {
		

		Registrant owner =  new Registrant();
		owner.setFirstName("John");
		owner.setLastName("Doe");
		owner.setAddress1("Address1Test");
		owner.setCity("CityTest");
		owner.setPostalCode("888349");
		owner.setCountryCode("DK");
		owner.setPhone("+45.123456789");
		owner.setEmail("administrator@ascio-test-domain.com");

		ExtensionsKeyValue resellerExtensions[] =  new ExtensionsKeyValue[]{new ExtensionsKeyValue()};
		resellerExtensions[0].setKey("Title");
		resellerExtensions[0].setValue("Mrs.");



		Contact reseller =  new Contact();
		reseller.setFirstName("John");
		reseller.setLastName("Doe");
		reseller.setOrgName("Ascio");
		reseller.setAddress1("Address1Test");
		reseller.setCity("CityTest");
		reseller.setState("StateTest");
		reseller.setPostalCode("888349");
		reseller.setCountryCode("DK");
		reseller.setPhone("+45.123456789");
		reseller.setEmail("administrator@ascio-test-domain.com");
		reseller.setType("owner");
		reseller.setExtensions(resellerExtensions);


		NameWatch nameWatch =  new NameWatch();
		nameWatch.setHandle("JD123");
		nameWatch.setName("John Doe");
		nameWatch.setNotificationFrequency(NotificationFrequencyType.Daily);
		nameWatch.setTier(1);
		nameWatch.setEmailNotification1("EmailNotification1Test");
		nameWatch.setEmailNotification2("EmailNotification2Test");
		nameWatch.setEmailNotification3("EmailNotification3Test");
		nameWatch.setEmailNotification4("EmailNotification4Test");
		nameWatch.setEmailNotification5("EmailNotification5Test");
		nameWatch.setOwner(owner);
		nameWatch.setReseller(reseller);

		return nameWatch;

	}
}