var soap = require("soap");

var registerAutoInstallSslOrderRequestExample = function(callback) {


	//AutoInstallSsl
	autoInstallSsl =  {};
	autoInstallSsl.Handle="JD123";
	autoInstallSsl.CommonName="ascio-test-domain.com";
	autoInstallSsl.ProductCode="positivessl";
	autoInstallSsl.Email="administrator@ascio-test-domain.com";
	autoInstallSsl.SanCount=1;
	autoInstallSsl.ObjectComment="Example Object Comment";


	//AutoInstallSslOrderRequest
	request =  
                    {
                        attributes: {
                            xsi_type: {
                                type: "http://www.ascio.com/2013/02",
                                xmlns: "AutoInstallSslOrderRequest"
                            }
                        }
                    };
	request.Type="Register";
	request.Period=1;
	request.TransactionComment="TransactionCommentTest";
	request.Comments="CommentsTest";
	request.Documentation="DocumentationTest";
	request.Options="OptionsTest";
	request.AutoInstallSsl=autoInstallSsl;
	
	soap.createClient("https://aws.demo.ascio.com/v3/aws.wsdl", function(err, client) {
		if(err) {
			callback(err);
		} 
		else {
			const header = {
				SecurityHeaderDetails : {
					Account: "ascio-account",
					Password: "mypassword123"
				}			
			};
			const ns="http://www.ascio.com/2013/02";
			client.addSoapHeader(header, ns, "q1");
			client.CreateOrder({request: request}, function(err,result) {
				if(err) {
					callback({error: err , request : result.request.body});
				} else {
					if(result.CreateOrderResult.ResultCode < 400) {
						callback(null,result);	
					} else {
						callback({error: result.CreateOrderResult,request : request});
					}	
				}
			});

		};
	});
};
registerAutoInstallSslOrderRequestExample(function(err,result) {
	if(err) {
		console.log("\n\n Request \n\n",err.request, "\n\n Response \n\n" ,err.error,"\n");
	}
	else {
		console.log(result);
	}
});